package ru.yandex.wmconsole.data.wrappers;

import ru.yandex.wmtools.common.util.XmlDataWrapper;

/**
 * @author baton
 */
public class InTagWrapper<T extends XmlDataWrapper> extends XmlDataWrapper<T> {
    private final T xmlDataWrapper;

    public InTagWrapper(String tag, T xmlDataWrapper) {
        super(xmlDataWrapper, tag);
        this.xmlDataWrapper = xmlDataWrapper;
    }

    @Override
    protected void doToXml(StringBuilder result) {
        xmlDataWrapper.toXml(result);
    }
}
